Set the timer timeout

- « ZMQDevice::setTimerCallback

- ZooKeeper »

- PHP Manual
- ZMQDevice
- Set the timer timeout

# ZMQDevice::setTimerTimeout

(No version information available, might only be in Git)

ZMQDevice::setTimerTimeout — Set the timer timeout

### Description

public ZMQDevice::setTimerTimeout(int `$timeout`): ZMQDevice

Sets the timer callback timeout value. The timer callback is invoked periodically if it's set. Added in ZMQ extension version 1.1.0.

### Parameters

`timeout`

  The timer callback timeout value.

### Return Values

On success this method returns the current object.